@import '../../styles.scss';



.title-3{
    margin-top: 20px;
}

.table {
    border: 1px solid #dee2e6;

    th,td{
      border-top: none; 
    }
    
    thead{
        background-color: #dee2e6;

        th {
            border-bottom: 1px solid #dee2e6;
            color: #263a7f;
            font-size: 18px;
        }
    }

    tbody{
      tr{
        &:hover{
          background-color: #044877;
          cursor: move;
          color: white;
          
          i{
            color: white;
          }
        }
      }
    }
}

.ranking-list{
  tr{
    td{
      i{
        font-size: 20px;
        padding-right: 30px;
      }
    }
  }
}

.order-block {
    margin-bottom: 20px;
}

.drag-drop-list {
    width: 100%;
    max-width: 100%;
    border: solid 1px #ccc;
    min-height: 60px;
    display: block;
    background: $white;
    border-radius: 4px;
    overflow: hidden;

    &.table-list {
        display: table-row-group;
    }
  }
  
  .drag-drop-box {
    padding: 20px 10px;
    border-bottom: solid 1px #ccc;
    color: rgba(0, 0, 0, 0.87);
    display: block;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
    cursor: move;
    background: $white;
    font-size: 16px;
  }
  
  .cdk-drag-preview {
    box-sizing: border-box;
    border-radius: 4px;
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
                0 8px 10px 1px rgba(0, 0, 0, 0.14),
                0 3px 14px 2px rgba(0, 0, 0, 0.12);
  }
  
  .cdk-drag-placeholder {
    opacity: 0;
  }
  
  .cdk-drag-animating {
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
  }
  
  .drag-drop-box:last-child {
    border: none;
  }
  
  .drag-drop-list.cdk-drop-list-dragging .drag-drop-box:not(.cdk-drag-placeholder) {
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
  }